> This page is for version API + Legacy Read.
> For other versions, use one of these documentation indexes:
> - API (default): https://docs.getthera.com/api/llms.txt
> - API + Legacy Read: https://docs.getthera.com/api-legacy-read/llms.txt
> - API + Legacy Full: https://docs.getthera.com/api-legacy-full/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getthera.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getthera.com/_mcp/server.

# Get Contractor Balances

GET https://api.getthera.com/external/contractor/{email}/balances

Deprecated. Read this from the Thera API with your API key instead. Returns the contractor's withdrawable balance per currency, keyed by ISO 4217 code. These are funds already settled to the contractor that they can withdraw from Thera.

Reference: https://docs.getthera.com/api-legacy-read/external-api-deprecated/external-api/get-contractor-balances

## Authentication

- `X-Thera-API-Key` header (required) — API Key authentication via header

## Servers

- `https://api.getthera.com` (Production, default)
- `https://api.staging.getthera.com` (Staging)

## Request

### Path parameters

- `email` (string, required) — When using email addresses in the URL path, make sure to percent-encode the @ symbol as %40. For example: contractor%40example.com instead of contractor@example.com.

## Response

### 200

- `balanceByCurrency` (map from string to double, required) — Amount in decimals (major and minor unit combined)

## Errors

### 401 Unauthorized Error

The X-Thera-API-Key header is missing, or the key does not exist.

- `message` (string, required)
- `displayMessage` (string, required) — Safe to show an end user. Conflicts return a generic message rather than the specific reason.
- `timestamp` (string, required) — Format dd-MM-yyyy hh:mm:ss.
- `type` (string, optional) — Present as GeneralError on 400, 401 and 404. Null on 409.
- `debugMessage` (string, optional)
- `subErrors` (list of any, optional)

### 404 Not Found Error

No contractor with that email has an active API-created contract with your company.

- `message` (string, required)
- `displayMessage` (string, required) — Safe to show an end user. Conflicts return a generic message rather than the specific reason.
- `timestamp` (string, required) — Format dd-MM-yyyy hh:mm:ss.
- `type` (string, optional) — Present as GeneralError on 400, 401 and 404. Null on 409.
- `debugMessage` (string, optional)
- `subErrors` (list of any, optional)

## Examples

**Response**

```json
{
  "balanceByCurrency": {
    "balanceByCurrency": 1.1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.getthera.com/external/contractor/email/balances"

headers = {"X-Thera-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getthera.com/external/contractor/email/balances';
const options = {method: 'GET', headers: {'X-Thera-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getthera.com/external/contractor/email/balances"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Thera-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getthera.com/external/contractor/email/balances")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Thera-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getthera.com/external/contractor/email/balances")
  .header("X-Thera-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getthera.com/external/contractor/email/balances', [
  'headers' => [
    'X-Thera-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getthera.com/external/contractor/email/balances");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Thera-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Thera-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getthera.com/external/contractor/email/balances")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```